Bug 174041 - gdm should not log unknown opcodes as an error
gdm should not log unknown opcodes as an error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-23 19:20 EST by JW
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-16 09:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Disables pointless error messages about unknown opcodes (1.21 KB, patch)
2005-11-23 19:21 EST, JW
no flags Details | Diff

  None (edit)
Description JW 2005-11-23 19:20:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows; U; AIIEEEE!; Win98; Windows 98; en-US; Gecko masquerading as IE; should it matter?; rv:1.8b) Gecko/20050217

Description of problem:
gdm records unknown xdmcp opcodes as an error.
It should just ignore them or log them as informative (LOG_INFO) messages.


Version-Release number of selected component (if applicable):
gdm-2.6.0.8-16

How reproducible:
Always

Steps to Reproduce:
1.run x-win32
2.wait an hour or so
3.less /var/log/messages (depending on your syslog config)


Actual Results:  gdm[2296]: gdm_xdmcp_decode_packet: Unknown opcode from host xxxx


Expected Results:  That message should only appear whereever LOG_INFO messages are directed.
It is not an error.


Additional info:
Comment 1 JW 2005-11-23 19:21:15 EST
Created attachment 121426 [details]
Disables pointless error messages about unknown opcodes
Comment 2 Christian Iseli 2007-01-22 06:39:39 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 JW 2007-01-22 06:44:57 EST
applicable to FC6
Comment 4 Ray Strode [halfline] 2007-08-14 11:46:57 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)
Comment 5 JW 2007-08-16 07:20:17 EDT
Still experiencing the problem in FC7.

Given that I attached a patch to fix it, and given that it amounts to just a
couple of lines, perhaps it would require less effort to preemptively fix the
problem than to preemptively close the bug!

Thank you in retrospect.
Comment 6 Ray Strode [halfline] 2007-08-16 09:41:15 EDT
Hi,

Comment 4 was a bulk message.  You're patch fell through the cracks.  Sorry
about that.

Looking at the code, this problem has already been fixed in a different way in
rawhide.

I'm going to close this RAWHIDE, but if you end up with spurious xdmcp log
messages again, feel free to reopen this report and we can investigate.
Comment 7 JW 2007-08-16 10:54:10 EDT
(In reply to comment #6)
> 
> You're patch ...
>

You're == you are
your   == owned by you
Comment 8 Monty 2007-08-16 11:09:17 EDT
You misspelled 'pwned'

Note You need to log in before you can comment on or make changes to this bug.